Skip to main content
`Ctrl`+`K`

# PCShellGetName

Gets an optional name that the user has set for a `PCSHELL` with `PCShellSetName()` preconditioner.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCShellGetName(PC pc, const char *name[])

Not Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- name - character string describing shell preconditioner (you should not free this)

## See Also

KSP: Linear System Solvers, `PCSHELL`, `PCShellSetName()`, `PetscObjectSetName()`, `PetscObjectGetName()`

## Level

intermediate

## Location

src/ksp/pc/impls/shell/shellpc.c

## Implementations

PCShellGetName_Shell() in src/ksp/pc/impls/shell/shellpc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages